# Webhook Pipeline Image

This is to build a [__container image__](https://www.docker.com/resources/what-container) as part of a [__webhook__](https://github.com/adnanh/webhook) service which plus some [__pipeline__](https://github.com/tektoncd/pipeline) which in turn should launch [buildkit](https://github.com/moby/buildkit) 

It uses [source docker-webhook repo](https://github.com/almir/docker-webhook/blob/master/Dockerfile) to run  [webhook](https://github.com/adnanh/webhook) as a listen process.

It has a key role in [LibreCloud Termas CD/CI](https://repo.librecloud.online/termas_librecloud/librecloud-termas-cd-ci) procedures to trigger _workflow_ and  [build automation](https://en.wikipedia.org/wiki/Build_automation). 

[Container image](https://www.docker.com/resources/what-container)  can be found in [**src** Dockerfile](https://repo.librecloud.online/termas_librecloud/webhook-pipeline/src/branch/master/src/Dockerfile)

[Tekton Pipeline](https://github.com/tektoncd/pipeline) can be found in [**pipeline** directory]
(https://repo.librecloud.online/termas_librecloud/webhook-pipeline/src/branch/master/pipeline).

## Configuration
[LibreCloud Termas CD/CI configuation](https://repo.librecloud.online/termas_librecloud/librecloud-termas-cd-ci#configuration)

## Pipeline
[LibreCloud Termas CD/CI pipeline](https://repo.librecloud.online/termas_librecloud/librecloud-termas-cd-ci#pipeline)

## Service 

Some scripts to check, config and run a [Tekton Pipeline](https://github.com/tektoncd/pipeline) are need it in final service to complete [LibreCloud Termas CD/CI](https://librecloud.online/termas-cd-ci) as a [CD](https://en.wikipedia.org/wiki/Continuous_delivery)/[CI](https://en.wikipedia.org/wiki/Continuous_integration) workflow.

A [Webhook-Pipe Image](https://repo.librecloud.online/termas_librecloud/webhook-pipeline) configured service can be found in [LibreCloud webhook-pipeline service](https://repo.librecloud.online/services_librecloud/webhook-pipeline) as an implementation of [LibreCloud Services](https://repo.librecloud.online/services_librecloud/librecloud.online)

In most cases final service will need additional or multiple [containers](https://www.docker.com/resources/what-container) to run, as  [init containers](https://kubernetes.io/docs/concepts/workloads/pods/init-containers/) or [sidecar containers] (https://kubernetes.io/docs/concepts/workloads/pods/pod-overview/).

## Install
[LibreCloud Termas CD/CI installation](https://repo.librecloud.online/termas_librecloud/librecloud-termas-cd-ci#install)

## Task list 
[LibreCloud Termas CD/CI task list] (https://repo.librecloud.online/termas_librecloud/librecloud-termas-cd-ci#terma-tasks-list)

## Directory content
 [LibreCloud Termas CD/CI Directory content] (https://repo.librecloud.online/termas_librecloud/librecloud-termas-cd-ci#directory-content)

## References
Use [LibreCloud Termas CD/CI References](https://repo.librecloud.online/termas_librecloud/librecloud-termas-cd-ci#references)
